# MIN

### Description

`MIN` goes over all the values you provide in a set of brackets, each separated by a comma, and returns the lowest value. It can also return the lowest value from a single [list](/rule-language/operators/list-operators/list.md) produced by another function.

### Example: Multiple values

```
e is Entity
MIN(e.expected_aum, e.actual_aum)
```

This [expression](/rule-language/expressions.md) will always return the value that is lower, whether that is the actual or the expected amount of assets under management for the entity.

### Example: From single list of properties

`MIN` can also return the lowest value of a list of values produced by another function. For example:

```
MIN(
    get_properties_from_instances(instances(AccountHolder), personal_income)),
    0
)
```

This expression works in a couple of steps to bring you the result:

* `MIN(...)` is the overarching function, of which you want the result. In between its brackets sits another function.
* `get_properties_from_instances(...)` is the function inside the `MIN` brackets, which goes and fetches the property of the instances you specify. For more information see also [get\_properties](/rule-language/operators/special-operators/get-properties-from-instances.md).
* `instances(AccountHolder, personal_income)` returns the personal income of all the accountholders.
* Since there could be no account holders, we add 0 as a default value to return.
* These four combined, give you the single lowest value out of the personal incomes for all the accountholders in the case.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/mathematical-operators/min.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
